<?xml version="1.0" encoding="utf-8"?>
<!--安装程序配置文件
scripts节点的path填写要执行的脚本目录(将执行当前目录下的所有脚本)，优先级大于子节点script;
script节点的path填写要执行的脚本文件名称(只有scripts节点的path为空时才执行script节点),将按顺序执行
-->
<configuration>
  <info>
    <!--软件名称-->
    <name>碧秀分类程序V2.0</name>
    <!--欢迎信息,有path优先读取path,否则则读取节点中的文本-->
    <welcome path="static/welcome.txt"></welcome>
    <!--要检查权限的目录列表(相对),要检查的目录必须存在,多个使用分号隔开-->
    <directoryCompetence>Aspx;Templates;Xml;Upload;App_Data</directoryCompetence>
    <!--数据库连接串存放的文件-->
    <dbconfig>xml/ConnectionStrings.config</dbconfig>
    <!--ado.net连接串-->
    <adonet>Server={0};Database={1};User Id={2};Password={3}</adonet>
    <!--entity framework连接串-->
    <ef>metadata=res://*/ClassifiedInformationModel.csdl|res://*/ClassifiedInformationModel.ssdl|res://*/ClassifiedInformationModel.msl;provider=System.Data.SqlClient;provider connection string="data source={0};initial catalog={1};user id={2};password={3};multipleactiveresultsets=True;App=EntityFramework"</ef>
    <!--ef连接字符串的名称-->
    <efnode>ClassifiedInformationEntities</efnode>
  </info>
  <mssql>
    <scripts path="Script/">
      <script path="Script/install.sql"></script>
    </scripts>
  </mssql>
  <mysql></mysql>
  <oracle></oracle>
</configuration>
